Action required: We're beginning to shutdown our old platform. Please migrate to our new platform ASAP. Instructions available in our migration guide.
cURL
curl --request POST \ --url https://api.contiguity.com/domains/{domain} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "region": "us-east-1", "custom_return_path": "contiguity" } '
{ "id": "req_xxxxxxxxxxxxxxxx", "timestamp": 1770363397691, "api_version": "v2026.2.6", "object": "response", "data": { "domain": "example.com", "id": "dmn_1234567890abcdef", "status": "pending_verification", "region": "us-east-1", "created_at": 1755637604526, "sending_allowed": false, "records": [ { "type": "MX", "name": "@", "value": "inbound-smtp.us-east-1.amazonaws.com", "purpose": "Inbound Email" } ] } }
Register a domain to your Contiguity account
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Domain to register
"example.com"
AWS region
"us-east-1"
Custom return path subdomain
"contiguity"
Register a domain for email sending
"req_xxxxxxxxxxxxxxxx"
1770363397691
"v2026.2.6"
"response"
Show child attributes
Was this page helpful?